Bug 1155731 (CVE-2014-3687) - CVE-2014-3687 kernel: net: sctp: fix panic on duplicate ASCONF chunks
Summary: CVE-2014-3687 kernel: net: sctp: fix panic on duplicate ASCONF chunks
Status: CLOSED ERRATA
Alias: CVE-2014-3687
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Sun Baoliang
URL:
Whiteboard: impact=important,public=20141009,repo...
Keywords: Security
Depends On: 1152755 1154676 1155733 1155734 1155735 1155736 1155737 1155738
Blocks: 1147872
TreeView+ depends on / blocked
 
Reported: 2014-10-22 17:58 UTC by Petr Matousek
Modified: 2015-07-29 17:47 UTC (History)
32 users (show)

(edit)
A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled duplicate Address Configuration Change Chunks (ASCONF). A remote attacker could use either of these flaws to crash the system.
Clone Of:
(edit)
Last Closed: 2015-01-14 00:12:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-17 00:12:55 UTC
Red Hat Product Errata RHSA-2015:0043 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-01-13 23:27:54 UTC
Red Hat Product Errata RHSA-2015:0062 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-01-20 22:21:42 UTC
Red Hat Product Errata RHSA-2015:0115 normal SHIPPED_LIVE Important: kernel security update 2015-02-03 22:10:29 UTC

Description Petr Matousek 2014-10-22 17:58:28 UTC
Kernel panic is encountered when sctp stack receives duplicate asconf chunks.

Upstream commmit:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b69040d8e39f20d5215a03502a8e8b4c6ab78395

Comment 2 Petr Matousek 2014-10-22 18:01:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1155738]

Comment 3 Petr Matousek 2014-10-22 18:16:11 UTC
Statement:

This issue does affect Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG. Future Linux kernel updates for the respective releases will address this issue.

Comment 4 Fedora Update System 2014-10-28 06:43:17 UTC
kernel-3.16.6-202.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-03 05:23:01 UTC
kernel-3.17.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-11-16 14:46:38 UTC
kernel-3.14.23-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Martin Prpič 2014-12-05 14:27:00 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled duplicate Address Configuration Change Chunks (ASCONF). A remote attacker could use either of these flaws to crash the system.

Comment 8 errata-xmlrpc 2014-12-09 20:37:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 9 errata-xmlrpc 2014-12-16 19:13:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html

Comment 10 errata-xmlrpc 2015-01-13 18:28:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2015:0043 https://rhn.redhat.com/errata/RHSA-2015-0043.html

Comment 11 errata-xmlrpc 2015-01-20 17:23:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:0062 https://rhn.redhat.com/errata/RHSA-2015-0062.html

Comment 12 errata-xmlrpc 2015-02-03 17:12:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2015:0115 https://rhn.redhat.com/errata/RHSA-2015-0115.html


Note You need to log in before you can comment on or make changes to this bug.